---
title: "UseDragAndDrop"
isDefaultIndex: false
generated: true
---
<!-- This file was generated from the Vendure source. Do not modify. Instead, re-run the "docs:build" script -->
import MemberInfo from '@site/src/components/MemberInfo';
import GenerationInfo from '@site/src/components/GenerationInfo';
import MemberDescription from '@site/src/components/MemberDescription';


## useDragAndDrop

<GenerationInfo sourceFile="packages/dashboard/src/lib/hooks/use-drag-and-drop.ts" sourceLine="22" packageName="@vendure/dashboard" since="3.3.0" />

Provides the sensors and state management for drag and drop functionality.

```ts title="Signature"
function useDragAndDrop<TData = any>(options: UseDragAndDropOptions<TData>): void
```
Parameters

### options

<MemberInfo kind="parameter" type={`UseDragAndDropOptions&#60;TData&#62;`} />

